uuagc

KWOrder

# Documentation

sem_Children :: Children -> T_Children

newtype T_Children

Constructors

T_Children (Map Identifier [Expression] -> Map Identifier Attributes -> Map Identifier (Identifier, [Identifier], Expression) -> Set Identifier -> Options -> Map Identifier Attributes -> (EChildren, Set Edge, [(Identifier, Identifier)], Set NontermIdent, Set NontermIdent, Set Vertex)) |

data Inh_Children

Constructors

Inh_Children |
Fields aroundMap_Inh_Children :: Map Identifier [Expression] inhMap_Inh_Children :: Map Identifier Attributes mergeMap_Inh_Children :: Map Identifier (Identifier, [Identifier], Expression) mergedChildren_Inh_Children :: Set Identifier options_Inh_Children :: Options synMap_Inh_Children :: Map Identifier Attributes

data Syn_Children

Constructors

Syn_Children |
Fields echilds_Syn_Children :: EChildren edges_Syn_Children :: Set Edge nontnames_Syn_Children :: [(Identifier, Identifier)] refHoNts_Syn_Children :: Set NontermIdent refNts_Syn_Children :: Set NontermIdent vertices_Syn_Children :: Set Vertex

wrap_Children :: T_Children -> Inh_Children -> Syn_Children

sem_Children_Cons :: T_Child -> T_Children -> T_Children

sem_Children_Nil :: T_Children

sem_Expression :: Expression -> T_Expression

newtype T_Expression

Constructors

T_Expression (Expression, Set Vertex) |

data Inh_Expression

Constructors

Inh_Expression |

data Syn_Expression

Constructors

Syn_Expression |
Fields copy_Syn_Expression :: Expression vertices_Syn_Expression :: Set Vertex

wrap_Expression :: T_Expression -> Inh_Expression -> Syn_Expression

sem_Expression_Expression :: Pos -> [HsToken] -> T_Expression

sem_Grammar :: Grammar -> T_Grammar

newtype T_Grammar

Constructors

T_Grammar (Options -> (PP_Doc, Seq Error, Map NontermIdent Attributes, Map NontermIdent (Map ConstructorIdent (Map Identifier Type)), ExecutionPlan, Map NontermIdent Attributes, PP_Doc)) |

data Inh_Grammar

Constructors

Inh_Grammar |
Fields options_Inh_Grammar :: Options

data Syn_Grammar

Constructors

Syn_Grammar |
Fields depgraphs_Syn_Grammar :: PP_Doc errors_Syn_Grammar :: Seq Error inhmap_Syn_Grammar :: Map NontermIdent Attributes localSigMap_Syn_Grammar :: Map NontermIdent (Map ConstructorIdent (Map Identifier Type)) output_Syn_Grammar :: ExecutionPlan synmap_Syn_Grammar :: Map NontermIdent Attributes visitgraph_Syn_Grammar :: PP_Doc

wrap_Grammar :: T_Grammar -> Inh_Grammar -> Syn_Grammar

sem_Grammar_Grammar :: TypeSyns -> UseMap -> Derivings -> Set NontermIdent -> T_Nonterminals -> PragmaMap -> AttrOrderMap -> ParamMap -> ContextMap -> QuantMap -> UniqueMap -> Map NontermIdent (Map ConstructorIdent (Map Identifier [Expression])) -> Map NontermIdent (Map ConstructorIdent (Map Identifier [Expression])) -> Map NontermIdent (Map ConstructorIdent (Map Identifier (Identifier, [Identifier], Expression))) -> T_Grammar

sem_HsToken :: HsToken -> T_HsToken

newtype T_HsToken

Constructors

T_HsToken (Set Vertex) |

data Inh_HsToken

Constructors

Inh_HsToken |

data Syn_HsToken

Constructors

Syn_HsToken |
Fields vertices_Syn_HsToken :: Set Vertex

wrap_HsToken :: T_HsToken -> Inh_HsToken -> Syn_HsToken

sem_HsToken_AGField :: Identifier -> Identifier -> Pos -> Maybe String -> T_HsToken

sem_HsToken_AGLocal :: Identifier -> Pos -> Maybe String -> T_HsToken

sem_HsToken_CharToken :: String -> Pos -> T_HsToken

sem_HsToken_Err :: String -> Pos -> T_HsToken

sem_HsToken_HsToken :: String -> Pos -> T_HsToken

sem_HsToken_StrToken :: String -> Pos -> T_HsToken

sem_HsTokens :: HsTokens -> T_HsTokens

newtype T_HsTokens

Constructors

T_HsTokens () |

data Inh_HsTokens

Constructors

Inh_HsTokens |

data Syn_HsTokens

Constructors

Syn_HsTokens |

wrap_HsTokens :: T_HsTokens -> Inh_HsTokens -> Syn_HsTokens

sem_HsTokens_Cons :: T_HsToken -> T_HsTokens -> T_HsTokens

sem_HsTokens_Nil :: T_HsTokens

sem_HsTokensRoot :: HsTokensRoot -> T_HsTokensRoot

newtype T_HsTokensRoot

Constructors

T_HsTokensRoot () |

data Inh_HsTokensRoot

Constructors

Inh_HsTokensRoot |

data Syn_HsTokensRoot

Constructors

Syn_HsTokensRoot |

wrap_HsTokensRoot :: T_HsTokensRoot -> Inh_HsTokensRoot -> Syn_HsTokensRoot

sem_HsTokensRoot_HsTokensRoot :: T_HsTokens -> T_HsTokensRoot

sem_Nonterminal :: Nonterminal -> T_Nonterminal

newtype T_Nonterminal

Constructors

T_Nonterminal (Map NontermIdent (Map ConstructorIdent (Map Identifier [Expression])) -> ContextMap -> Map NontermIdent (Set NontermIdent) -> Map NontermIdent (Set NontermIdent) -> Map NontermIdent (Set NontermIdent) -> Map Identifier Attributes -> AttrOrderMap -> Map NontermIdent (Map ConstructorIdent (Map Identifier (Identifier, [Identifier], Expression))) -> Options -> Int -> Map Identifier Attributes -> (NontDependencyInformation, Map Identifier Attributes, Map NontermIdent Attributes, Map NontermIdent (Map ConstructorIdent (Map Identifier Type)), Map NontermIdent (Set NontermIdent), Map NontermIdent (Set NontermIdent), Int, Map Identifier Attributes, Map NontermIdent Attributes)) |

data Inh_Nonterminal

Constructors

Inh_Nonterminal |
Fields aroundMap_Inh_Nonterminal :: Map NontermIdent (Map ConstructorIdent (Map Identifier [Expression])) classContexts_Inh_Nonterminal :: ContextMap closedHoNtDeps_Inh_Nonterminal :: Map NontermIdent (Set NontermIdent) closedHoNtRevDeps_Inh_Nonterminal :: Map NontermIdent (Set NontermIdent) closedNtDeps_Inh_Nonterminal :: Map NontermIdent (Set NontermIdent) inhMap_Inh_Nonterminal :: Map Identifier Attributes manualDeps_Inh_Nonterminal :: AttrOrderMap mergeMap_Inh_Nonterminal :: Map NontermIdent (Map ConstructorIdent (Map Identifier (Identifier, [Identifier], Expression))) options_Inh_Nonterminal :: Options rulenumber_Inh_Nonterminal :: Int synMap_Inh_Nonterminal :: Map Identifier Attributes

data Syn_Nonterminal

Constructors

Syn_Nonterminal |
Fields depinfo_Syn_Nonterminal :: NontDependencyInformation inhMap'_Syn_Nonterminal :: Map Identifier Attributes inhmap_Syn_Nonterminal :: Map NontermIdent Attributes localSigMap_Syn_Nonterminal :: Map NontermIdent (Map ConstructorIdent (Map Identifier Type)) ntDeps_Syn_Nonterminal :: Map NontermIdent (Set NontermIdent) ntHoDeps_Syn_Nonterminal :: Map NontermIdent (Set NontermIdent) rulenumber_Syn_Nonterminal :: Int synMap'_Syn_Nonterminal :: Map Identifier Attributes synmap_Syn_Nonterminal :: Map NontermIdent Attributes

wrap_Nonterminal :: T_Nonterminal -> Inh_Nonterminal -> Syn_Nonterminal

sem_Nonterminal_Nonterminal :: NontermIdent -> [Identifier] -> Attributes -> Attributes -> T_Productions -> T_Nonterminal

sem_Nonterminals :: Nonterminals -> T_Nonterminals

newtype T_Nonterminals

Constructors

T_Nonterminals (Map NontermIdent (Map ConstructorIdent (Map Identifier [Expression])) -> ContextMap -> Map NontermIdent (Set NontermIdent) -> Map NontermIdent (Set NontermIdent) -> Map NontermIdent (Set NontermIdent) -> Map Identifier Attributes -> AttrOrderMap -> Map NontermIdent (Map ConstructorIdent (Map Identifier (Identifier, [Identifier], Expression))) -> Options -> Int -> Map Identifier Attributes -> ([NontDependencyInformation], Map Identifier Attributes, Map NontermIdent Attributes, Map NontermIdent (Map ConstructorIdent (Map Identifier Type)), Map NontermIdent (Set NontermIdent), Map NontermIdent (Set NontermIdent), Int, Map Identifier Attributes, Map NontermIdent Attributes)) |

data Inh_Nonterminals

Constructors

Inh_Nonterminals |
Fields aroundMap_Inh_Nonterminals :: Map NontermIdent (Map ConstructorIdent (Map Identifier [Expression])) classContexts_Inh_Nonterminals :: ContextMap closedHoNtDeps_Inh_Nonterminals :: Map NontermIdent (Set NontermIdent) closedHoNtRevDeps_Inh_Nonterminals :: Map NontermIdent (Set NontermIdent) closedNtDeps_Inh_Nonterminals :: Map NontermIdent (Set NontermIdent) inhMap_Inh_Nonterminals :: Map Identifier Attributes manualDeps_Inh_Nonterminals :: AttrOrderMap mergeMap_Inh_Nonterminals :: Map NontermIdent (Map ConstructorIdent (Map Identifier (Identifier, [Identifier], Expression))) options_Inh_Nonterminals :: Options rulenumber_Inh_Nonterminals :: Int synMap_Inh_Nonterminals :: Map Identifier Attributes

data Syn_Nonterminals

Constructors

Syn_Nonterminals |
Fields depinfo_Syn_Nonterminals :: [NontDependencyInformation] inhMap'_Syn_Nonterminals :: Map Identifier Attributes inhmap_Syn_Nonterminals :: Map NontermIdent Attributes localSigMap_Syn_Nonterminals :: Map NontermIdent (Map ConstructorIdent (Map Identifier Type)) ntDeps_Syn_Nonterminals :: Map NontermIdent (Set NontermIdent) ntHoDeps_Syn_Nonterminals :: Map NontermIdent (Set NontermIdent) rulenumber_Syn_Nonterminals :: Int synMap'_Syn_Nonterminals :: Map Identifier Attributes synmap_Syn_Nonterminals :: Map NontermIdent Attributes

wrap_Nonterminals :: T_Nonterminals -> Inh_Nonterminals -> Syn_Nonterminals

sem_Nonterminals_Cons :: T_Nonterminal -> T_Nonterminals -> T_Nonterminals

sem_Nonterminals_Nil :: T_Nonterminals

sem_Pattern :: Pattern -> T_Pattern

newtype T_Pattern

Constructors

T_Pattern (Pattern, Set Vertex) |

data Inh_Pattern

Constructors

Inh_Pattern |

data Syn_Pattern

Constructors

Syn_Pattern |
Fields copy_Syn_Pattern :: Pattern vertices_Syn_Pattern :: Set Vertex

wrap_Pattern :: T_Pattern -> Inh_Pattern -> Syn_Pattern

sem_Pattern_Alias :: Identifier -> Identifier -> T_Pattern -> T_Pattern

sem_Pattern_Constr :: ConstructorIdent -> T_Patterns -> T_Pattern

sem_Pattern_Irrefutable :: T_Pattern -> T_Pattern

sem_Pattern_Product :: Pos -> T_Patterns -> T_Pattern

sem_Pattern_Underscore :: Pos -> T_Pattern

sem_Patterns :: Patterns -> T_Patterns

newtype T_Patterns

Constructors

T_Patterns (Patterns, Set Vertex) |

data Inh_Patterns

Constructors

Inh_Patterns |

data Syn_Patterns

Constructors

Syn_Patterns |
Fields copy_Syn_Patterns :: Patterns vertices_Syn_Patterns :: Set Vertex

wrap_Patterns :: T_Patterns -> Inh_Patterns -> Syn_Patterns

sem_Patterns_Cons :: T_Pattern -> T_Patterns -> T_Patterns

sem_Patterns_Nil :: T_Patterns

sem_Production :: Production -> T_Production

newtype T_Production

Constructors

T_Production (Map ConstructorIdent (Map Identifier [Expression]) -> Map Identifier Attributes -> Map ConstructorIdent (Set Dependency) -> Map ConstructorIdent (Map Identifier (Identifier, [Identifier], Expression)) -> Options -> Int -> Map Identifier Attributes -> (ProdDependencyGraph, Map ConstructorIdent (Map Identifier Type), Set NontermIdent, Set NontermIdent, Int)) |

data Inh_Production

Constructors

Inh_Production |
Fields aroundMap_Inh_Production :: Map ConstructorIdent (Map Identifier [Expression]) inhMap_Inh_Production :: Map Identifier Attributes manualDeps_Inh_Production :: Map ConstructorIdent (Set Dependency) mergeMap_Inh_Production :: Map ConstructorIdent (Map Identifier (Identifier, [Identifier], Expression)) options_Inh_Production :: Options rulenumber_Inh_Production :: Int synMap_Inh_Production :: Map Identifier Attributes

data Syn_Production

Constructors

Syn_Production |
Fields depgraph_Syn_Production :: ProdDependencyGraph localSigMap_Syn_Production :: Map ConstructorIdent (Map Identifier Type) refHoNts_Syn_Production :: Set NontermIdent refNts_Syn_Production :: Set NontermIdent rulenumber_Syn_Production :: Int

wrap_Production :: T_Production -> Inh_Production -> Syn_Production

sem_Production_Production :: ConstructorIdent -> [Identifier] -> [Type] -> T_Children -> T_Rules -> T_TypeSigs -> MaybeMacro -> T_Production

sem_Productions :: Productions -> T_Productions

newtype T_Productions

Constructors

T_Productions (Map ConstructorIdent (Map Identifier [Expression]) -> Map Identifier Attributes -> Map ConstructorIdent (Set Dependency) -> Map ConstructorIdent (Map Identifier (Identifier, [Identifier], Expression)) -> Options -> Int -> Map Identifier Attributes -> ([ProdDependencyGraph], Map ConstructorIdent (Map Identifier Type), Set NontermIdent, Set NontermIdent, Int)) |

data Inh_Productions

Constructors

Inh_Productions |
Fields aroundMap_Inh_Productions :: Map ConstructorIdent (Map Identifier [Expression]) inhMap_Inh_Productions :: Map Identifier Attributes manualDeps_Inh_Productions :: Map ConstructorIdent (Set Dependency) mergeMap_Inh_Productions :: Map ConstructorIdent (Map Identifier (Identifier, [Identifier], Expression)) options_Inh_Productions :: Options rulenumber_Inh_Productions :: Int synMap_Inh_Productions :: Map Identifier Attributes

data Syn_Productions

Constructors

Syn_Productions |
Fields depgraph_Syn_Productions :: [ProdDependencyGraph] localSigMap_Syn_Productions :: Map ConstructorIdent (Map Identifier Type) refHoNts_Syn_Productions :: Set NontermIdent refNts_Syn_Productions :: Set NontermIdent rulenumber_Syn_Productions :: Int

wrap_Productions :: T_Productions -> Inh_Productions -> Syn_Productions

sem_Productions_Cons :: T_Production -> T_Productions -> T_Productions

sem_Productions_Nil :: T_Productions

sem_Rule :: Rule -> T_Rule

newtype T_Rule

Constructors

T_Rule (Int -> (Set Edge, ERule, Int, Set Vertex)) |

data Inh_Rule

Constructors

Inh_Rule |
Fields rulenumber_Inh_Rule :: Int

data Syn_Rule

Constructors

Syn_Rule |
Fields edges_Syn_Rule :: Set Edge erules_Syn_Rule :: ERule rulenumber_Syn_Rule :: Int vertices_Syn_Rule :: Set Vertex

wrap_Rule :: T_Rule -> Inh_Rule -> Syn_Rule

sem_Rule_Rule :: Maybe Identifier -> T_Pattern -> T_Expression -> Bool -> String -> Bool -> Bool -> Bool -> Maybe Error -> Bool -> T_Rule

sem_Rules :: Rules -> T_Rules

newtype T_Rules

Constructors

T_Rules (Int -> (Set Edge, ERules, Int, Set Vertex)) |

data Inh_Rules

Constructors

Inh_Rules |
Fields rulenumber_Inh_Rules :: Int

data Syn_Rules

Constructors

Syn_Rules |
Fields edges_Syn_Rules :: Set Edge erules_Syn_Rules :: ERules rulenumber_Syn_Rules :: Int vertices_Syn_Rules :: Set Vertex

wrap_Rules :: T_Rules -> Inh_Rules -> Syn_Rules

sem_Rules_Cons :: T_Rule -> T_Rules -> T_Rules

sem_Rules_Nil :: T_Rules

sem_TypeSig :: TypeSig -> T_TypeSig

newtype T_TypeSig

Constructors

T_TypeSig (Map Identifier Type) |

data Inh_TypeSig

Constructors

Inh_TypeSig |

data Syn_TypeSig

Constructors

Syn_TypeSig |
Fields localSigMap_Syn_TypeSig :: Map Identifier Type

wrap_TypeSig :: T_TypeSig -> Inh_TypeSig -> Syn_TypeSig

sem_TypeSig_TypeSig :: Identifier -> Type -> T_TypeSig

sem_TypeSigs :: TypeSigs -> T_TypeSigs

newtype T_TypeSigs

Constructors

T_TypeSigs (Map Identifier Type) |

data Inh_TypeSigs

Constructors

Inh_TypeSigs |

data Syn_TypeSigs

Constructors

Syn_TypeSigs |
Fields localSigMap_Syn_TypeSigs :: Map Identifier Type

wrap_TypeSigs :: T_TypeSigs -> Inh_TypeSigs -> Syn_TypeSigs

sem_TypeSigs_Cons :: T_TypeSig -> T_TypeSigs -> T_TypeSigs

sem_TypeSigs_Nil :: T_TypeSigs

sem_Child :: Child -> T_Child

newtype T_Child

Constructors

T_Child (Map Identifier [Expression] -> Map Identifier Attributes -> Map Identifier (Identifier, [Identifier], Expression) -> Set Identifier -> Options -> Map Identifier Attributes -> (EChild, Set Edge, [(Identifier, Identifier)], Set NontermIdent, Set NontermIdent, Set Vertex)) |

data Inh_Child

Constructors

Inh_Child |
Fields aroundMap_Inh_Child :: Map Identifier [Expression] inhMap_Inh_Child :: Map Identifier Attributes mergeMap_Inh_Child :: Map Identifier (Identifier, [Identifier], Expression) mergedChildren_Inh_Child :: Set Identifier options_Inh_Child :: Options synMap_Inh_Child :: Map Identifier Attributes

data Syn_Child

Constructors

Syn_Child |
Fields echilds_Syn_Child :: EChild edges_Syn_Child :: Set Edge nontnames_Syn_Child :: [(Identifier, Identifier)] refHoNts_Syn_Child :: Set NontermIdent refNts_Syn_Child :: Set NontermIdent vertices_Syn_Child :: Set Vertex

wrap_Child :: T_Child -> Inh_Child -> Syn_Child

sem_Child_Child :: Identifier -> Type -> ChildKind -> T_Child

depToEdge :: Dependency -> Edge

occToVertex :: Bool -> Occurrence -> Vertex